﻿@using System.Web.UI.WebControls;

<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "ETD";
                }).GetHtml()
        </td>
        <td style="width: 5px;"></td>
        <td>
            @*@Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "Det2SMCETDText";
                    textBox.Name = "Det2SMCETDText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()*@

            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "Det2SMCETDText";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 110;
                settings.Date = DateTime.Now;
            }).GetHtml()
        </td>
        @*<td style="width: 10px;"></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route";
                }).GetHtml()
        </td>
        <td style="width: 5px;"></td>*@
        @*<td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "Det2SMCRouteText";
                    textBox.Name = "Det2SMCRouteText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
            @Html.Partial("PartialComboRoute")  
        </td>*@
        <td style="width: 195px;"></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Ref 1";
                }).GetHtml()
        </td>
        <td style="width: 5px;"></td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "Det2SMCRef1Text";
                    textBox.Name = "Det2SMCRef1Text";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td style="width: 210px;"></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Ref 2";
                }).GetHtml()
        </td>
        <td style="width: 5px;"></td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "Det2SMCRef2Text";
                    textBox.Name = "Det2SMCRef2Text";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
</table>
